%global srcname pytest-rerunfailures

Name:           python-%{srcname}
Version:        4.2
Release:        1%{?dist}
Summary:        A py.test plugin that re-runs failed tests to eliminate flakey failures

License:        MPLv2.0
URL:            https://github.com/pytest-dev/%{srcname}
Source0:        https://github.com/pytest-dev/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
pytest-rerunfailures is a plugin for py.test that re-runs tests to eliminate
intermittent failures.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest >= 2.8.7
BuildRequires:  python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%if %{undefined __pythondist_requires}
Requires:       python%{python3_pkgversion}-pytest >= 2.8.7
%endif

%description -n python%{python3_pkgversion}-%{srcname}
pytest-rerunfailures is a plugin for py.test that re-runs tests to eliminate
intermittent failures.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} test_pytest_rerunfailures.py


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc CHANGES.rst README.rst
%{python3_sitelib}/pytest_rerunfailures.py
%{python3_sitelib}/__pycache__/pytest_rerunfailures.cpython-*
%{python3_sitelib}/pytest_rerunfailures-%{version}-py%{python3_version}.egg-info/


%changelog
* Sat May 09 2020 Scott K Logan <logans@cottsay.net> - 4.2-1
- Initial EPEL package
